#include <GuiConstantsEx.au3>
#include <GDIPlus.au3>
#include <GdipGui.au3>

Opt('MustDeclareVars', 1)

_Main()

Func _Main()
	Local $hGUI, $hImage, $hGraphic, $hBrush, $hFormat, $hFamily, $hFont, $tLayout
	Local $sString = "Hello world", $aInfo, $iWidth = 400, $iHeight = 300

	; Create GUI
	$hGUI = GUICreate("GdipGui", $iWidth, $iHeight)
	GUISetState()

	_GDIPlus_Startup()
	_GdipGui_CreateImage($hImage, $hGraphic, $iWidth, $iHeight)

	; Draw a string
	$hBrush = _GDIPlus_BrushCreateSolid(0xFF00007F)
	$hFormat = _GDIPlus_StringFormatCreate()
	$hFamily = _GDIPlus_FontFamilyCreate("Arial")
	$hFont = _GDIPlus_FontCreate($hFamily, 12, 2)
	$tLayout = _GDIPlus_RectFCreate(140, 110, 0, 0)
	$aInfo = _GDIPlus_GraphicsMeasureString($hGraphic, $sString, $hFont, $tLayout, $hFormat)
	_GDIPlus_GraphicsDrawStringEx($hGraphic, $sString, $hFont, $aInfo[0], $hFormat, $hBrush)

	_GdipGui_AddImage($hGUI, $hImage)
	; Loop until user exits
	Do
	Until GUIGetMsg() = $GUI_EVENT_CLOSE

	; Clean up resources
	_GDIPlus_FontDispose($hFont)
	_GDIPlus_FontFamilyDispose($hFamily)
	_GDIPlus_StringFormatDispose($hFormat)
	_GDIPlus_BrushDispose($hBrush)
	_GdipGui_DelImage($hImage, 1)
	_GDIPlus_Shutdown()

EndFunc   ;==>_Main